module.exports = {
  create: {
    requestBody: ['!producerid', 'consumerid', 'type', 'content', 'remark']
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    parameters: {
      params: ['!id']
    },
    requestBody: ['producerid', 'consumerid', 'type', 'content', 'remark']
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      params: ['producerid', 'consumerid']
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: false,
      count: true
    }
  }
};
